ESourceComboBox
3
LIBEDATASERVERUI Library

# ESourceComboBox

## Synopsis

                        ESourceComboBox;
    GtkWidget*          e_source_combo_box_new              (ESourceList *source_list);
    ESourceList*        e_source_combo_box_get_source_list  (ESourceComboBox *source_combo_box);
    void                e_source_combo_box_set_source_list  (ESourceComboBox *source_combo_box,
                                                             ESourceList *source_list);
    ESource*            e_source_combo_box_get_active       (ESourceComboBox *source_combo_box);
    void                e_source_combo_box_set_active       (ESourceComboBox *source_combo_box,
                                                             ESource *source);
    const gchar*        e_source_combo_box_get_active_uid   (ESourceComboBox *source_combo_box);
    void                e_source_combo_box_set_active_uid   (ESourceComboBox *source_combo_box,
                                                             const gchar *uid);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkComboBox
                                           +----ESourceComboBox

## Implemented Interfaces

ESourceComboBox implements AtkImplementorIface, GtkBuildable, GtkCellEditable and GtkCellLayout.

## Properties

      "source-list"              ESourceList*          : Read / Write

## Description

## Details

### ESourceComboBox

    typedef struct _ESourceComboBox ESourceComboBox;

### e_source_combo_box_new ()

    GtkWidget*          e_source_combo_box_new              (ESourceList *source_list);

`source_list` :

Returns :

### e_source_combo_box_get_source_list ()

    ESourceList*        e_source_combo_box_get_source_list  (ESourceComboBox *source_combo_box);

`source_combo_box` :

Returns :

### e_source_combo_box_set_source_list ()

    void                e_source_combo_box_set_source_list  (ESourceComboBox *source_combo_box,
                                                             ESourceList *source_list);

`source_combo_box` :

`source_list` :

### e_source_combo_box_get_active ()

    ESource*            e_source_combo_box_get_active       (ESourceComboBox *source_combo_box);

`source_combo_box` :

Returns :

### e_source_combo_box_set_active ()

    void                e_source_combo_box_set_active       (ESourceComboBox *source_combo_box,
                                                             ESource *source);

`source_combo_box` :

`source` :

### e_source_combo_box_get_active_uid ()

    const gchar*        e_source_combo_box_get_active_uid   (ESourceComboBox *source_combo_box);

`source_combo_box` :

Returns :

### e_source_combo_box_set_active_uid ()

    void                e_source_combo_box_set_active_uid   (ESourceComboBox *source_combo_box,
                                                             const gchar *uid);

`source_combo_box` :

`uid` :

## Property Details

### The `"source-list"` property

      "source-list"              ESourceList*          : Read / Write

List of sources to choose from.